Subject: Re: New snapshots and old binaries
From: Chris Faylor <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Aug 1999 11:58:23 -0400

On Mon, Aug 30, 1999 at 11:24:50AM -0400, Charles Wilson wrote:
>Chris Faylor wrote:
>
>> On Sun, Aug 29, 1999 at 03:08:20PM -0400, Charles S. Wilson wrote:
>> >Will I need to recompile ALL of these libraries and executables before
>> >my system returns to "normal", or what?
>>
>> If the DLL is named cygwin1.dll it will be backwards compatible.  If the
>> cygwin DLL does not work with a .exe that uses cygwin1.dll then that's a
>> bug in the DLL.
>>
>
>According to Suhaib:
>************
>I do not know about /usr/local, but X11R6 needs a recompilation or you will
>
>get a __ctype__ undefined references when linking, uncurses work from
>B20.1.
>You can get X11r6.4 for snapshot from my web site at siddiqi.webjump.com.
>Most of the X11 and motif stuff for cygwin snapshots is available there.
>Jpeg, tiff
>and png will need recompilation.
>************
>
>I guess that signifies a bug in cygwin1.dll?

Your old .exe's will work fine, as I said.

If you have object files sitting around then they may need to be
recompiled with the headers and libraries from the new snapshot.
The situation above would happen when linking an old object with
a new libcygwin.a.  It could also happen if you recompile without
the latest headers.

To reiterate, If you are a "normal" user you should be able to
drop in a snapshot DLL directly over an older cygwin1.dll (please
make a backup before doing this, however).  If you are a programmer
with a bunch of objects sitting around, you *may* need to recompile
some of them, since some things are now being exported from the
DLL which were previously linked statically.

Also, if you want to use a new version of the DLL, *please* get
rid of the older version.  Rename it, copy it to another location,
whatever.  Don't keep two versions of the cygwin1.dll around.
You'll just end up at best using more memory than necessary, or
at worst with strange problems between disparate DLL versions.

-chris

--
Want to unsubscribe from this list?
Send a message to [email-masked]